Subject: Re: [PATCH net-next 10/10] staging: vt6656: inherit addr_assign_type along with dev_addr

From: Dan Carpenter <[email-masked]>
Date: Fri, 23 Aug 2013 15:09:38 +0300

On Fri, Aug 23, 2013 at 02:06:21PM +0200, Bjørn Mork wrote:
> Dan Carpenter <[email-masked]> writes:
> 
> > Ah...  Here is the first patch which adds eth_hw_addr_inherit()
> >
> > http://patchwork.ozlabs.org/patch/269365/
> >
> > I don't think we've actually set dst->addr_len yet at this point so
> > it doesn't do the memcpy().  This doesn't work.
> 
> Ouch.  Yes, I see. The net_device is allocated using kzalloc just a few
> lines earlier and there is no ether_setup or similar.  Actually, it
> doesn't look like it ever sets addr_len. Is that right?  Does it work
> even before this patch?

Ha ha.  That's a very good question.  I have no idea.

regards,
dan carpenter